Bug 153969 - [PATCH] devel/upp: Update from 2008.1 to 2791
Summary: [PATCH] devel/upp: Update from 2008.1 to 2791
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-14 02:30 UTC by Sender Ghost
Modified: 2011-01-27 19:00 UTC (History)
0 users

See Also:


Attachments
file.diff (6.36 KB, patch)
2011-01-14 02:30 UTC, Sender Ghost
no flags Details | Diff
patch_new.txt (7.95 KB, text/plain)
2011-01-15 20:01 UTC, m.sund
no flags Details
upp_2008.1_2791.txt (7.95 KB, text/plain)
2011-01-15 22:29 UTC, Sender Ghost
no flags Details
upp_2008.1_1096.txt (7.23 KB, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1096_1126.txt (776 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1126_1205.txt (776 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1205_1254.txt (1009 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1254_1314.txt (776 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1314_1517.txt (1.09 KB, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1517_1579.txt (777 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1579_1607.txt (778 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1607_1659.txt (778 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1659_1713.txt (778 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1713_1824.txt (778 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1824_1952.txt (778 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_1952_2070.txt (1.01 KB, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_2070_2232.txt (1.05 KB, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_2232_2361.txt (778 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_2361_2467.txt (778 bytes, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details
upp_2467_2791.txt (1.38 KB, text/plain)
2011-01-18 07:54 UTC, Sender Ghost
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sender Ghost 2011-01-14 02:30:09 UTC
Patch to update devel/upp port from 2008.1 to 2791 version.

- Added desktop entry for TheIDE.
- Added license configuration.
- Changed auto-generation of package list file.
- Changed include and library directories.
- Deleted hardcoded compiler name and its options from distributed Makefile (possible to use different compiler).
- Deleted MD5 hash line from distinfo file.
- Enabled MAKE_JOBS_SAFE.

Look following link for changes:
http://www.ultimatepp.org/www$uppweb$Roadmap$en-us.html

Fix: Use attached diff from /usr/ports/devel directory and delete upp/files directory.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-01-14 02:30:14 UTC
Maintainer of devel/upp,

Please note that PR ports/153969 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153969

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2011-01-14 02:30:17 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 m.sund 2011-01-15 20:01:59 UTC
Hello,

I attached a new patch version.
The differences are:

- fixed 'make reinstall' error
- discarded 'files' folder

Thanks.

Kind regards,
Matthias

On 14.01.2011 03:30, Edwin Groothuis wrote:
> Maintainer of devel/upp,
>
> Please note that PR ports/153969 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>      http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/153969
>
Comment 4 Sender Ghost 2011-01-15 22:29:34 UTC
I see you removed following line from do-install:
${RM} -rf ${BUILD_WRKSRC}/_out ${BUILD_WRKSRC}/ide.out 
${BUILD_WRKSRC}/Makefile*

It was because PORTDATA variable used to create ${TMPPLIST} variable 
(copying uppsrc contents to package list).
I created new patch which solve this in different way (Makefile.bak and 
Makefile files still there) using MAKE_ARGS.
Also your changes applied.
Do you agree?
Comment 5 m.sund 2011-01-16 14:07:28 UTC
I agree, thanks again.

Regards,
Matthias
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2011-01-16 15:22:24 UTC
State Changed
From-To: feedback->open

Maintainer approved.
Comment 7 Sender Ghost 2011-01-18 07:54:12 UTC
Well, while commiter(s) thinking about how to do such a "big leap" from 
2008.1 to 2791 version, I created iterative patches for each release 
between these versions. So, there is a choice.
Also it proved that such changes universal enough to use with newer 
versions.

upp_2008.1_1096.txt:
-8<--
- Added desktop entry for TheIDE.
- Added license configuration.
- Changed auto-generation of package list file.
- Changed include and library directories.
- Deleted MD5 hash line from distinfo file.
- Enabled MAKE_JOBS_SAFE.

Change log:
1096 (26 April 2009)

Library
- Painter: High quality, "SVG/PDF strength" software renderer.
- HttpClient improvements.
- JPGRaster now can read EXIF thumbnails.
- ODBC SQL interface.
- Microsoft SQL Server interface improved.
- Multithreading: ConditionVarable and LazyUpdate classes.
- LocalProcess class.
- RichText: EncodeHTML support for superscript, subscript, strikeout.
- and smallcaps.
- Mersenne twister based Random.

TheIDE
- Win32 .pdb debugger:
     - shows tooltip with values of variables.
     - improved displaying of strings in pdb debugger.
     - watches are remembered, Clear all watches function, Drag&Drop to 
watches.
- Packages can be sorted by name.
- Packages now can be colored and assigned bold/italic font.
- Package files underlined if recently changed.
- SVN support, SVN history of file.
- Compare with file, compare with patch.
- Assist++
     - New heurestic error recovery of C++ parser.
     - New code navigator bar.
     - Position of Assist parameter info improved.
     - Context go to (Alt+J) now jumps to layout designer when invoked 
on layout class template.
- Topic++ finished; documentation now visible (and editable) as tooltip 
annotations of sources.
- Abbreviations: e.g. type "i" and press Ctrl+[.] to expand it to if() ;
- Icon editor: free angle rotation.
- Insert" color or U++ specific includes (.lay, .iml, .tpp group).
- Print command (of source files).
- Editor: ToUpper/Lower/InitCaps/SwapCase.
-->8-

upp_1096_1126.txt:
-8<--
Change log:
1126 (5 May 2009)

Library
- Change in SetDateFilter format, cleanup in related docs.
- Improved translation docs.
- Added runtime check for serializing RichValue with missing Register.
- Docking: CreateDockable<T> now returns type T.
- mrjt's MultiList now merged into ColumnList.
- TabBar: Tab Stacking and sorting added. Other changes.
- Drawing refactored.

TheIDE
- Refactored CodeNavigator, search symbol (Ctrl+Q) now copies current id 
search field.
-->8-

upp_1126_1205.txt:
-8<--
Change log:
1205 (18 May 2009)

Library
- New GUI multithreading architecture.

TheIDE
- Layout designer: option to resize dialog without springs.
- No more confusing switches of .lay, .iml to text mode (instead designer).
- One more redesign of code navigator.
- Ctrl+Click onto symbol jumps to its definition.
- Package selector now shows the nest.
-->8-

upp_1205_1254.txt:
-8<--
Change log:
1254 (03 June 2009)

Library
- Various improvements in SQL related stuff (SqlPerformScript, SqlBinary 
enable for PGSQL).

TheIDE
- Highlighting of .sch and .sql files.
- Find in files now has separate output console.
- Select package dialog 'All' option replaced by the selection of more 
understandable options, main packages now displayed bold.
-->8-

upp_1254_1314.txt:
-8<--
Change log:
1314 (17 June 2009)

Library
- CtrlCore
     - Fixed several X11/Compiz/SCIM compatibility issues.
- RichText
     - QTF: Added text-type rich object format.
- GridCtrl
     - Added WhenMoveRow, CancelMove.
     - Improved search results highlighting.

TheIDE
- Import directory source tree into package.
- Support for multiline svn commit messages.
- Assist++ now supports SQL schema files.
- FileTabs now persistent.
- Non-fixed pitch fonts allowed in editor (used as fixed...).
-->8-

upp_1314_1517.txt:
-8<--
- Changed desktop entry icon to 48x48 version.

Change log:
1517 (19 August 2009)

Major overhaul graphics infrastructure is finished, U++ is now capable 
of headless drawing operations
(e.g. drawing graphics and text into .png files in console applications, 
without X11)
(example: http://www.ultimatepp.org/reference$ConsoleDraw.html).

Minor improvements:

Library
- RegExp fixed to work with mingw, added GetMatchPos method.
- SetSurface functions for optimized raw output of RGBA data to screen 
(example: http://www.ultimatepp.org/reference$SetSurface.html).
- Added Blackfin CPU support into Core.
- EditField::NullText method now can provide an icon.
- RichText, Report: RichTextLayoutTracer ability (example: 
http://www.ultimatepp.org/reference$RichTextLayoutTracer.html).
- Core: Added StringStream::Reserve.

TheIDE
- Added package internal include paths.
- Ctrl+mouse wheel changes font size.
-->8-

upp_1517_1579.txt:
-8<--
Change log:
1579 (23 September 2009)

Library
- Core: Added support for many various 8-bit encodings.
- Geom: Added new Computational Geometry algorithm: 2D convex hull 
calculation (ConvexHullOrder).
- Sql: SqlExp, SqlSelect AsTable, Joins accept SqlSet.
- RichText: Optimized by caching paragraph data and layout.
- Draw, plugin/tif: Added GetActivePage support.
- Fixed a lot of minor bugs.
-->8-

upp_1579_1607.txt:
-8<--
Change log:
1607 (07 October 2009)

Library
- Draw
     - DisplayWithIcon (Display that adds an icon to any other Display).
     - AttrText now has 'SetImage' (places the icon to the left of  text).
- CtrlLib: DropTree widget.
- Web: void AttachSocket(Socket& socket, SOCKET s, bool blocking).
- MSSQL: IdentityInsert helper (bypass of IDENTITY column insertion).
- CtrlCore: RegisterSystemHotKey (system-wide hotkey).
-->8-

upp_1607_1659.txt:
-8<--
Change log:
1659 (26 October 2009)

Library
- Core
     - GetUtcTime.
     - New Split variant with String delimiter.
     - ConvertTime Min, Max.
- Core, CtrlLib: ConvertDate, ConvertTime now have Default method -> 
propagates to date/time widgets as well...
- PostgreSQL: GetInsertedId now supported for tables with primary key 'id'.
- CtrlLib: MenuBar WhenOpenSubMenu, WhenCloseSubMenu callbacks.
- Sql, SqlExp: Sql::InsertNoKey(Fields) ommits first column - intended 
for key with autoincrement.

TheIDE
- Minor IDE speed improvements - removed unnecessary Assist++ package 
check when inserting / removing separators and auxiliary package contents.
- Package selector now shows app icons if available.
-->8-

upp_1659_1713.txt:
-8<--
Change log:
1713 (30 November 2009)

TheIDE
- .t files are now saved with strings converted by escaping >127 
characters (and back on loading). This fixes venerable problem of UTF-8 
string literals in CJK Windows and MSC compiler.

Library
CtrlLib:
- TreeCtrl InsertDrop now returns ids of inserted nodes.
- A new set of utility functions that simplify selecting files 
introduced (see 
http://www.ultimatepp.org/src$CtrlLib$FileSelUtil$en-us.html).
- HeaderCtrl columns now can have a tooltip.
- SliderCtrl now allows reversed orientation (thanks avpavp!).

RichEdit:
- New much more effective speller dictionary format, utilities required 
to convert OpenOffice speller dictionaries into U++ speller files.
- Labeled paragraphs now marked with arrow displayed in the left bar.
- Previously private StyleManager class capable of managing paragraph 
styles has been made public.

Report:
- New methods ChoosePrinter, ChooseDefault printer allow selecting 
printer BEFORE report is created, setting the physical page size based 
on chosen printer.

Core:
- In Win32, console applications no longer pop up a MessageBox when 
panicking, instead they write the panic string on the error output and 
terminate.

GridCtrl:
- Multiline popups now allowed, using GridDisplay to paint the content.

Bazaar:
- New functions to SysInfo.
- Urr - UDP request-response protocol added.
-->8-

upp_1713_1824.txt:
-8<--
Change log:
1824 (21 December 2009)

TheIDE
- Autosetup now recognizes Win32 SDK 7.0.

Library
Core:
- XmlRpc package adds support for XML-RPC based webservices.
- LanguageInfo has been completely refactored.

Bazaar:
- GoogleTranslator: New version.
- Functions4U: New package with additional functions to complement Core 
and CtrlLib.
- Controls4U: New package with additional graphic controls.
- SysInfo: Improved Unicode support.
-->8-

upp_1824_1952.txt:
-8<--
Change log:
1952 (27 January 2010)

TheIDE
- Improved installation in Win32 with support for the latest Win32 SDK.
- Helpsystem has vastly improved searching capabilities.
- Build process now supports new link options - Posix releases now use 
"gc-sections" linker option to dramatically reduce the size of resulting 
binaries (up to 40%).

Library
CtrlLib:
- File selector (FileSel class) got networking support in Win32.
- TrayIcon in X11 now supports notifications.
- TopWindow in X11 now supports SetAlphs.

Painter:
- Image rescaling algorithm was improved for better downscaling.

Core:
- Containers now have a new debugging utility to resolve pick semantic 
errors.
-->8-

upp_1952_2070.txt:
-8<--
- Added png library to link.

Change log:
2070 (16 February 2010)

TheIDE
- User interface for Find and Replace was significantly reworked
- Current editor line is now highlighted in the left bar.

Library
Core:
- Support for Win32 .lnk files (GetSymLinkPath function, 
FindFile::IsSymLink method) - same interface as for Posix symlinks.
- ConvertDate has new Truncate option (truncates Time to Date), 
corresponding StdConvertDateTruncate global Convert added.

CtrlLib:
- SliderCtrl widget, has new Jump method.
- ArrayCtrl class has new WhenMouseMove Callback.
- EditField has new WhenEnter callback.
- TabCtrl has new NoAccept option

Draw:
- The search for missing glyphs (i18n issue) was optimized.
-->8-

upp_2070_2232.txt:
-8<--
- Deleted hardcoded compiler name and its options from distributed 
Makefile (possible to use different compiler).

Change log:
2232 (17 March 2010)

TheIDE
- Sorting of package has been improved, placing project packages first.
- Insert menu now has typedef ... CLASSNAME entry.
- FileSel was improved by adding Places with common directories.

Library
Core:
- XmlRpc has improved error handling.
- Xmlize now supports all Core Value types and has got support for Value 
serialization.
- XmlParser has got new Peek methods. Socket has new GetPeerAddr method.
- CParser now provides the information about current column.

CtrlLib:
- TabCtrl has new Find/Set/Remove/Insert methods using reference to 
slave instead of index.

RichText:
- RichTextView now have "ShrinkOversizedObjects" option.
-->8-

upp_2232_2361.txt:
-8<--
Change log:
2361 (4 May 2010)

TheIDE
- Packages now sorted by directory closeness to main package directory, 
names later - puts main package nest or main package subpackages first 
in the list.

Library
Core:
- ArrayIndex: Added Detach, PopDetach.
- XmlRpc: Added bool XmlRpcPerform(Socket& http, const char *group);

CtrlLib:
- Added ArrayCtrl WhenScroll.
- ColumnList: AutoHideSb.
- FileSel: list is autohide.
- EditField ReadOnly Ctrl+C fix.
- DocEdit: NoEofLine.
- RichEdit now supports dropping Image files.
- SqlCtrl: SqlArray has new WhenFilter Gate (able to filter records 
being fetched).

Sql:
- Optional SqlSession errorhandler routing is now installable.
- SqlSession: First SQL error is recorded (until ClearError) instead of 
last.

Uppsrc:
- New IT-IT translation.
-->8-

upp_2361_2467.txt:
-8<--
Change log:
2467 (10 Jun 2010)

TheIDE
- Now has QTF designer.

Library
Core
- [W]String got new variant of ReverseFind method.

CtrlCore
- There is a new static method Ctrl::GetEventId to help identify 
individual GUI events, intended for use in caching schemes.

CtrlLib
- Update system was parametrised.
- Handling of active file type in FileSel was improved.
- Splitter now has WhenSplitFinish.

PdfDraw
- Got support for fill patterns.

Bazaar
- SysInfo: Added CPU temperature monitoring and improved battery status.
- Functions4U: Added new SVG color functions and doc.
- Controls4U: Added ActiveX controls (VLC and web browsing).
- MtAlt: Added support for fast 5-argument callbacks (copy and pick 
version).
- Form: Form core package, Editor and sample.
- Scatter: Added SetSequentialX and SetFastViewX for faster refresh.
- Docking: Bug fixes, some small feature additions.
- ExpandFrame/ExpanderCtrl: Fixes fopr horizontal alignment.
- AESStream: Added SHA2 functions.
-->8-

upp_2467_2791.txt:
-8<--
Change log:
2791 (18 Oct 2010)

TheIDE
- Now it has direct support for Windows SDK 7.1.

Library
Core
- There are now new templates Tuple2 - Tuple4.
- Stream class got new methods Peek and PutPtr intended for optional 
optimizations.
- In Vector and Array template classes, interface was changed so that 
all Add methods are now returning the reference to the element inserted.
- String and WString has new Replace method.

Draw
- plugin/gif now has support for animated gifs, Raster and Raster 
encoder have new GetDPI and SetDPI methods. DPI information handling for 
png, tif and jpg was fixed.
- AttrText utility class has new NormalInk method and supports 
conversion from Value.

CtrlCore
- There is a new IsPainting method.

CtrlLib
- Progress has now blocked open if invoked during Draw method. IdCtrls 
have now Reset method.
- New utility function SelectDirectory.
- LineEdit now reacts to Shift+MouseWheel does horizontal scroll with 
horizontal scrolling.
- RichTextView got new WhenMouseMove callback.

GridCtrl
- Has now WhenBeforeChangeRow and WhenBeforeChangeCol callbacks, 
CancelDuplicate, SetCtrl, FindCol, ReadCol and CopyColumnNames methods 
and SetValues, GetValues and Xmlize template specialization.

Sql
- SqlSelect now can add individual fetch values using operator().
- New SqlMassInsert provides generic acceleration of mass inserts using 
'union all' trick.
- IsSame is a new SqlExp equality test which is null safe (null == null 
yields true).
- Oracle8 has new BulkExecute interface to OCI8 array binds repeated 
command execution with varying parameter sets; speeds up inserts / 
updates drastically over networks with long roundtrip.

XmlRpc
- XmlRpcCall has now Proxy and ProxyAuth methods.
- New plugin/Box2D package was added.

Bazaar
Added packages
- Protect: Software encryption system.
- Cypher, StreamCypher, CypherTest.
- DeEncrypter: A *simple* AESStream based Encrypter / Decrypter.
- BufferStream: Stream based on Vector<byte> buffer, self growing.
- CMeter: A progressbar / meter / slider with some versatile settings Ctrl.
- Dispatcher: Generic class to dispatch data to arbitrary recipients.
- HelpViewer, TestHelpViewer.

MtAlt
- Some improvements.

Scatter
- Some fixes.

Docking
- Some fixes.

PixRaster
- Updated Leptonica library to version 1.65.

TabBar
- Minor changes and fixes.

Timer
- Minor changes.

ExpandFrame
- Minor changes.

AESStream
- Added SHA2 functions.

LEDCtrl
- New LED control by Christian.

Functions4U
- Added functions, GatherTpp, improved doc and fixed bugs.

SysInfo
- Added GetAdapterInfo.

Control4U
- Added Knob.

OfficeAutomation
- Cyrillic characters support.

UltimateBook
- Updated doc.
-->8-
Comment 8 Pav Lucistnik freebsd_committer 2011-01-26 12:40:19 UTC
State Changed
From-To: open->feedback

Does not link here: 

undefined reference to `typeinfo for std::bad_alloc' 
more undefined references to `__cxa_call_unexpected' follow 
[..] 

gazzilions of these .. 


Comment 9 Pav Lucistnik freebsd_committer 2011-01-26 12:40:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

Track
Comment 10 Pav Lucistnik freebsd_committer 2011-01-27 18:53:10 UTC
State Changed
From-To: feedback->closed

Committed, thanks! (Note you missed dependency on libnotify.)
Comment 11 dfilter service freebsd_committer 2011-01-27 18:54:08 UTC
pav         2011-01-27 18:54:03 UTC

  FreeBSD ports repository

  Modified files:
    devel/upp            Makefile distinfo 
  Removed files:
    devel/upp/files      patch-pngupp.cpp 
                         patch-uppsrc_ide_Makefile 
  Log:
  - Update to 2791
  
  PR:             ports/153969
  Submitted by:   Sender Ghost <lightside@safebox.ru>
  Approved by:    Matthias Sund <m.sund@arcor.de> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.19      +62 -45    ports/devel/upp/Makefile
  1.6       +2 -3      ports/devel/upp/distinfo
  1.2       +0 -11     ports/devel/upp/files/patch-pngupp.cpp (dead)
  1.2       +0 -11     ports/devel/upp/files/patch-uppsrc_ide_Makefile (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"